package ru.yandex.webmaster3.storage.searchquery.download;

/**
 * @author aherman
 */
public class EncodedCSVRequest {
    private final int requestDate;
    private final byte[] cipheredRequest;
    private final byte[] hmac;

    public EncodedCSVRequest(int requestDate, byte[] cipheredRequest, byte[] hmac) {
        this.requestDate = requestDate;
        this.cipheredRequest = cipheredRequest;
        this.hmac = hmac;
    }

    public int getRequestDate() {
        return requestDate;
    }

    public byte[] getCipheredRequest() {
        return cipheredRequest;
    }

    public byte[] getHmac() {
        return hmac;
    }
}
